Bug 149277 - JJ: Remove engineSet usage
Summary: JJ: Remove engineSet usage
Status: RESOLVED FIXED
Alias: None
Product: kbackgammon
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Jens Hoefkens
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-08-27 21:58 UTC by Albert Astals Cid
Modified: 2007-09-15 23:54 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Albert Astals Cid 2007-08-27 21:58:38 UTC
Version:            (using KDE Devel)
Installed from:    Compiled sources

KBackgammon uses engineSet variable to keep track of which engine is currently set, but the fact is that engineSet is a KSelectAction, and that's not the purpose of a KSelectAction. The code base needs to be cleaned not to use a KSelectAction.

Contact me at aacid@kde.org for questions.
Comment 1 Méven Car 2007-08-30 16:57:57 UTC
I am volunteer for this bug. I should be able to fix it :)
Comment 2 Albert Astals Cid 2007-09-15 23:54:27 UTC
SVN commit 712975 by aacid:

Remove engineSet usage patch by Joe Burns
CCMAIL: josebur@siue.edu
BUGS: 149277


 M  +12 -35    kbg.cpp  
 M  +1 -2      kbg.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=712975